<?php 
ob_start();
if (strlen(session_id()) < 1){
	session_start();//Validamos si existe o no la sesión
}
if (!isset($_SESSION["nombre"]))
{
  header("Location: ../vistas/login.html");//Validamos el acceso solo a los usuarios logueados al sistema.
}
else
{
//Validamos el acceso solo al usuario logueado y autorizado.
if ($_SESSION['ventas']==1 || $_SESSION['compras']==1)
{
require_once "../modelos/Area.php";

$area=new Area();

$idarea=isset($_POST["idarea"])? limpiarCadena($_POST["idarea"]):"";
$nombre_a=isset($_POST["nombre_a"])? limpiarCadena($_POST["nombre_a"]):"";
$sigla=isset($_POST["sigla"])? limpiarCadena($_POST["sigla"]):"";

switch ($_GET["ar"]){
	case 'guardaryeditar':
		if (empty($idarea)){
			$rspta=$area->insertar($nombre_a,$sigla);
			echo $rspta ? "Area registrada" : "Area no se pudo registrar";
		}
		else {
			$rspta=$area->editar($idarea,$nombre_a,$sigla);
			echo $rspta ? "Area actualizada" : "Area no se pudo actualizar";
		}
	break;

	case 'eliminar':
		$rspta=$area->eliminar($idarea);
 		echo $rspta ? "Area eliminada" : "Area no se puede eliminar";
	break;

	case 'mostrar':
		$rspta=$area->mostrar($idarea);
 		//Codificar el resultado utilizando json
 		echo json_encode($rspta);
	break;

	case 'listara':
		$rspta=$area->listara();
 		//Vamos a declarar un array
 		$data= Array();

 		while ($reg=$rspta->fetch_object()){
 			$data[]=array(
 				"0"=>'<button class="btn btn-warning" onclick="mostrar('.$reg->idarea.')"><i class="fa fa-pencil"></i></button>'.
 					' <button class="btn btn-danger" onclick="eliminar('.$reg->idarea.')"><i class="fa fa-trash"></i></button>',
 				"1"=>$reg->nombre_a,
 				"2"=>$reg->sigla
 				);
 		}
 		$results = array(
 			"sEcho"=>1, //Información para el datatables
 			"iTotalRecords"=>count($data), //enviamos el total registros al datatable
 			"iTotalDisplayRecords"=>count($data), //enviamos el total registros a visualizar
 			"aaData"=>$data);
 		echo json_encode($results);

	break;

	//case 'listara':
	//	$rspta=$area->listara();
 		//Vamos a declarar un array
 	//	$data= Array();

 	//	while ($reg=$rspta->fetch_object()){
 	//		$data[]=array(
 	//			"0"=>'<button class="btn btn-warning" onclick="mostrar('.$reg->idarea.')"><i class="fa fa-pencil"></i></button>'.
 	//				' <button class="btn btn-danger" onclick="eliminar('.$reg->idarea.')"><i class="fa fa-trash"></i></button>',
 	//			"1"=>$reg->nombre_a,
 	//			"2"=>$reg->sigla,
 	//			
 	//			);
 	//	}
 	//	$results = array(
 	//		"sEcho"=>1, //Información para el datatables
 	//		"iTotalRecords"=>count($data), //enviamos el total registros al datatable
 	//		"iTotalDisplayRecords"=>count($data), //enviamos el total registros a visualizar
 	//		"aaData"=>$data);
 	//	echo json_encode($results);

	//break;


}
//Fin de las validaciones de acceso
}
else
{
  require 'noacceso.php';
}
}
ob_end_flush();
?>